Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## igeo
Class ISpacingEqualizer

    java.lang.Object
      igeo.IDynamicsBase
          igeo.ISpacingEqualizer

All Implemented Interfaces:
  IDynamics, ISubobject, ITensionI

    public class ISpacingEqualizer

extends IDynamicsBase
implements ITensionI

Tension force to equalize spacing between pt1- pt2 and pt2 - pt3.

Author:
  Satoru Sugihara

Field Summary
`boolean` | `constantTension`
`double` | `maxTension`
`IParticleI` | `pt1`
`IParticleI` | `pt2`
`IParticleI` | `pt3`
`double` | `tension` tension is a coefficient to convert distance of two points to amount of force.

Fields inherited from class igeo.IDynamicsBase
`parent, targets`

Fields inherited from interface igeo.ITensionI
`defaultTension`

Constructor Summary
`ISpacingEqualizer(IParticleGeo p1, IParticleGeo p2, IParticleGeo p3)`
`ISpacingEqualizer(IParticleGeo p1, IParticleGeo p2, IParticleGeo p3, IObject parent)`
`ISpacingEqualizer(IParticleI p1, IParticleI p2, IParticleI p3)`
`ISpacingEqualizer(IParticleI p1, IParticleI p2, IParticleI p3, IObject parent)`
`ISpacingEqualizer(IVecI p1, IVecI p2, IVecI p3)`
`ISpacingEqualizer(IVecI p1, IVecI p2, IVecI p3, IObject parent)`
`ISpacingEqualizer(IVec p1, IVec p2, IVec p3)`
`ISpacingEqualizer(IVec p1, IVec p2, IVec p3, IObject parent)`

Method Summary
`boolean` | `constant()` if constantTension is true, amount of force is always constant and it's equals to tension.
`ISpacingEqualizer` | `constant(boolean cnst)` if constantTension is true, amount of force is always constant and it's equals to tension.
`void` | `interact(java.util.ArrayList<IDynamics> dynamics)` behavior definition of interaction with other dynamic objects.
`double` | `maxTension()` if maxTension is set to be positive number, it limits the force (distance * tension) is cut off at maxTension.
`ISpacingEqualizer` | `maxTension(double maxTension)` if maxTension is set to be positive number, it limits the force (distance * tension) is cut off at maxTension if constant is set, maxTension is ignored.
`ISpacingEqualizer` | `parent(IObject par)` setting parent object
`IParticleI` | `particle(int i)` alias of pt(int)
`IParticleI` | `particle1()` alias of pt1()
`IParticleI` | `particle2()` alias of pt2()
`IParticleI` | `particle3()` alias of pt2()
`IVec` | `pos(int i)` position of particle(int i)
`IVec` | `pos1()` position of particle1
`IVec` | `pos2()` position of particle2
`IVec` | `pos3()` position of particle3
`IParticleI` | `pt(int i)` getting end point.
`IParticleI` | `pt1()` getting end point1.
`IParticleI` | `pt2()` getting end point2.
`IParticleI` | `pt3()` getting end point2.
`ISpacingEqualizer` | `removeTarget(int i)` remove target object.
`ISpacingEqualizer` | `removeTarget(IObject obj)` remove target object.
`ISpacingEqualizer` | `target(IObject targetObj)` add terget object to be updated by this dynamic object.
`double` | `tension()` tension is a coefficient to convert distance of two points to amount of force.
`ISpacingEqualizer` | `tension(double tension)` tension is a coefficient to convert distance of two points to amount of force.

Methods inherited from class igeo.IDynamicsBase
`initDynamicsBase, initDynamicsBase, initDynamicsBase, localDynamics, parent, postinteract, postupdate, preinteract, preupdate, target, targetNum, targets, update, updateTarget`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### pt1

    public IParticleI pt1

### pt2

    public IParticleI pt2

### pt3

    public IParticleI pt3

### tension

    public double tension

  tension is a coefficient to convert distance of two points to amount of force.

### constantTension

    public boolean constantTension

### maxTension

    public double maxTension

Constructor Detail

### ISpacingEqualizer

    public ISpacingEqualizer(IParticleI p1,
                             IParticleI p2,
                             IParticleI p3,
                             IObject parent)

### ISpacingEqualizer

    public ISpacingEqualizer(IParticleGeo p1,
                             IParticleGeo p2,
                             IParticleGeo p3,
                             IObject parent)

### ISpacingEqualizer

    public ISpacingEqualizer(IVec p1,
                             IVec p2,
                             IVec p3,
                             IObject parent)

### ISpacingEqualizer

    public ISpacingEqualizer(IVecI p1,
                             IVecI p2,
                             IVecI p3,
                             IObject parent)

### ISpacingEqualizer

    public ISpacingEqualizer(IParticleI p1,
                             IParticleI p2,
                             IParticleI p3)

### ISpacingEqualizer

    public ISpacingEqualizer(IParticleGeo p1,
                             IParticleGeo p2,
                             IParticleGeo p3)

### ISpacingEqualizer

    public ISpacingEqualizer(IVec p1,
                             IVec p2,
                             IVec p3)

### ISpacingEqualizer

    public ISpacingEqualizer(IVecI p1,
                             IVecI p2,
                             IVecI p3)

Method Detail

### tension

    public double tension()

  Description copied from interface: `ITensionI`
  tension is a coefficient to convert distance of two points to amount of force.

  Specified by:
    `tension` in interface `ITensionI`

### tension

    public ISpacingEqualizer tension(double tension)

  Description copied from interface: `ITensionI`
  tension is a coefficient to convert distance of two points to amount of force.

  Specified by:
    `tension` in interface `ITensionI`

### constant

    public boolean constant()

  Description copied from interface: `ITensionI`
  if constantTension is true, amount of force is always constant and it's equals to tension. Only direction of force changes. But if the distance is zero, force is also zero.

  Specified by:
    `constant` in interface `ITensionI`

### constant

    public ISpacingEqualizer constant(boolean cnst)

  Description copied from interface: `ITensionI`
  if constantTension is true, amount of force is always constant and it's equals to tension. Only direction of force changes. But if the distance is zero, force is also zero.

  Specified by:
    `constant` in interface `ITensionI`

### maxTension

    public double maxTension()

  if maxTension is set to be positive number, it limits the force (distance * tension) is cut off at maxTension. if constant is set, maxTension is ignored.

  Specified by:
    `maxTension` in interface `ITensionI`

### maxTension

    public ISpacingEqualizer maxTension(double maxTension)

  if maxTension is set to be positive number, it limits the force (distance * tension) is cut off at maxTension if constant is set, maxTension is ignored.

  Specified by:
    `maxTension` in interface `ITensionI`

### pt

    public IParticleI pt(int i)

  getting end point. i==0 or i==1

  Specified by:
    `pt` in interface `ITensionI`

### particle

    public IParticleI particle(int i)

  alias of pt(int)

  Specified by:
    `particle` in interface `ITensionI`

### pos

    public IVec pos(int i)

  position of particle(int i)

  Specified by:
    `pos` in interface `ITensionI`

### pt1

    public IParticleI pt1()

  getting end point1.

  Specified by:
    `pt1` in interface `ITensionI`

### particle1

    public IParticleI particle1()

  alias of pt1()

  Specified by:
    `particle1` in interface `ITensionI`

### pos1

    public IVec pos1()

  position of particle1

  Specified by:
    `pos1` in interface `ITensionI`

### pt2

    public IParticleI pt2()

  getting end point2.

  Specified by:
    `pt2` in interface `ITensionI`

### particle2

    public IParticleI particle2()

  alias of pt2()

  Specified by:
    `particle2` in interface `ITensionI`

### pos2

    public IVec pos2()

  position of particle2

  Specified by:
    `pos2` in interface `ITensionI`

### pt3

    public IParticleI pt3()

  getting end point2.

### particle3

    public IParticleI particle3()

  alias of pt2()

### pos3

    public IVec pos3()

  position of particle3

### parent

    public ISpacingEqualizer parent(IObject par)

  Description copied from interface: `ISubobject`
  setting parent object

  Specified by:
    `parent` in interface `ISubobject`
  Overrides:
    `parent` in class `IDynamicsBase`

### target

    public ISpacingEqualizer target(IObject targetObj)

  Description copied from class: `IDynamicsBase`
  add terget object to be updated by this dynamic object.

  Specified by:
    `target` in interface `IDynamics`
  Overrides:
    `target` in class `IDynamicsBase`

### removeTarget

    public ISpacingEqualizer removeTarget(int i)

  Description copied from class: `IDynamicsBase`
  remove target object.

  Specified by:
    `removeTarget` in interface `IDynamics`
  Overrides:
    `removeTarget` in class `IDynamicsBase`

### removeTarget

    public ISpacingEqualizer removeTarget(IObject obj)

  Description copied from class: `IDynamicsBase`
  remove target object.

  Specified by:
    `removeTarget` in interface `IDynamics`
  Overrides:
    `removeTarget` in class `IDynamicsBase`

### interact

    public void interact(java.util.ArrayList<IDynamics> dynamics)

  Description copied from class: `IDynamicsBase`
  behavior definition of interaction with other dynamic objects. The server puts all dynamic objects including itself.

  Specified by:
    `interact` in interface `IDynamics`
  Overrides:
    `interact` in class `IDynamicsBase`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD